coupang
POST/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/label/printOrderLabel2609170000

CGF Lite order Label API

KRTW
# 01

요약

CGF Lite order Label API

# 02

상세

This API is used to print order label, now it only support cgf lite order which status is B(Processing) or C(shipped)

경로

POST/v2/providers/openapi/apis/api/v1/vendors/{vendorId}/label/printOrderLabel

예시 엔드포인트

https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v1/vendors/A1234567890/label/printOrderLabel
# 03

Path 파라미터

NameTypeDescription
vendorId*string
Vendor ID

Unique code Coupang issues to vendors
e.g. A00012345
# 04

요청 본문

요청 파라미터

본문 파라미터

NameTypeDescription
orderIdList*object[]
orderId list, max size is 10
templateName*string
templateName.
there are two templateNames: SIXTY_FORTY_MM, SIXTY_THIRTY_MM
SIXTY_FORTY_MM means label size is 6040 mm
SIXTY_THIRTY_MM means label size is 60
30 mm
quantity*integer
how many duplicate copies need to be printed
max quantity is 10
요청 예시application/json
{
  "orderIdList": [
    10000120670440,
    20000120391907,
    6000121622041,
    22000121025601
  ],
  "templateName": "SIXTY_FORTY_MM",
  "quantity": 2
}
# 05

응답 본문

응답 메시지

NameTypeDescription
codeinteger
Server response code
messagestring
Server response message
datastring
pdf file of label content, the format is base64

Response Example

{
  "code": 200,
  "message": "SUCCESS",
  "data": "base64 content"
}
# 06

에러 코드

HTTP코드메시지
--